### Name: mantel.correlog
### Title: Mantel Correlogram
### Aliases: mantel.correlog print.mantel.correlog plot.mantel.correlog
### Keywords: multivariate

### ** Examples
   
# Mite data from "vegan"
data(mite)        
data(mite.xy)  
mite.hel <- decostand(mite, "hellinger")
mite.hel.D <- dist(mite.hel)

mite.correlog <- mantel.correlog(mite.hel.D, XY=mite.xy, nperm=99)
summary(mite.correlog)
mite.correlog   
plot(mite.correlog)

mite.correlog2 <- mantel.correlog(mite.hel.D, XY=mite.xy, cutoff=FALSE, 
r.type="spearman", nperm=99)
summary(mite.correlog2)
mite.correlog2
plot(mite.correlog2)

## Mite correlogram after spatially detrending the mite data
mite.h.det <- resid(lm(as.matrix(mite.hel.D) ~ ., data=mite.xy))
mite.correlog3 <-  mantel.correlog(mite.h.det, XY=mite.xy, nperm=99)
mite.correlog3
plot(mite.correlog3)




