### Name: ordihull
### Title: Add Graphical Items to Ordination Diagrams
### Aliases: ordihull ordiarrows ordisegments ordigrid ordispider
###   ordiellipse ordicluster weights.cca weights.rda weights.decorana
###   summary.ordihull summary.ordiellipse
### Keywords: aplot

### ** Examples

data(dune)
data(dune.env)
mod <- cca(dune ~ Management, dune.env)
attach(dune.env)
## pass non-graphical arguments without warnings
plot(mod, type="n", scaling = 3)
## Catch the invisible result of ordihull...
pl <- ordihull(mod, Management, scaling = 3, label = TRUE)
## ... and find centres and areas of the hulls
summary(pl)
ordispider(mod, col="red", scaling = 3)
plot(mod, type = "p", display="sites")
ordicluster(mod, hclust(vegdist(dune)), prune=3, col = "blue")
plot(mod, type="n", display = "sites")
text(mod, display="sites", labels = as.character(Management))
pl <- ordiellipse(mod, Management, kind="se", conf=0.95, lwd=2, col="blue")
summary(pl)



